<template>
    <div class="edit-content">
        <a class="close-edit-content" @click="close"><i class="fas fa-angle-double-right"></i></a>
        <h2 class="title">
            Iniciar Sesión
        </h2>
        <div class="form-edit-content">
            <div class="input-field">
                <input type="text" name="name" id="name" autocomplete="off"
                       v-model="email" required>
                <label for="name">Usuario</label>
                <span></span>
            </div>
            <div class="input-field">
                <input type="password" name="password" id="password" autocomplete="off"
                       v-model="password" required>
                <label for="password">Contraseña</label>
                <span></span>
            </div>
            <div class="message" v-show="activeMessage">{{message_form}}</div>
            <button @click="signIn">Iniciar sesión</button>
        </div>
    </div>
</template>

<script>
    import {auth} from "../plugins/firebase"
    import {eventBus} from './../utils/EventBus'

    export default {
        name: "SignIn",
        data: () => ({
            email: '',
            password: '',
            activeMessage: false,
            message_form: ''
        }),
        computed: {},
        methods: {
            close() {
                this.$emit('close');
            },
            signIn() {
                auth.signInWithEmailAndPassword(this.email, this.password).then(() => {
                    eventBus.$emit('activeUser');
                    this.activeMessage = false;
                }).catch((error) => {
                    this.activeMessage = true;
                    this.message_form = 'Usuario o contraseña incorrectos';
                });
            }
        }
    }
</script>

<style scoped lang="scss">

    @import "./../assets/css/form";

    .display-none {
        display: none;
    }

    .close-edit-content {
        position: absolute;
        left: 15px;
        top: 20px;
        font-weight: bold;
        font-size: 1.5rem;
        cursor: pointer;
        transition: font-size .1s;

        &:hover {
            font-size: 1.55rem;
            text-shadow: 1px 1px 2px black;
        }
    }

    .image-temporary {
        margin-bottom: 20px;
        cursor: pointer;
        box-shadow: 0 3px 9px -4px rgba(0, 0, 0, .25);
        border-radius: 2px;
    }

    .edit-content {
        width: 30%;
        position: fixed;
        right: 0;
        top: 0;
        height: 100vh;
        background-color: #ffffff;
        z-index: 3;
        color: #000000;
        padding: 20px;
        overflow-y: scroll;
        display: flex;
        align-items: center;
        justify-content: center;
        flex-direction: column;
    }

    .title {
        font-size: 1.7rem;
        font-weight: bold;
        margin: 0 auto 20px;
    }

    ::-webkit-scrollbar {
        width: 5px;
    }

    ::-webkit-scrollbar-track {
        -webkit-box-shadow: inset 0 0 6px rgba(0, 0, 0, 0.14);
        border-radius: 2px;
    }

    ::-webkit-scrollbar-thumb {
        border-radius: 2px;
        background-color: $primary;
        -webkit-box-shadow: inset 0 0 6px rgba(0, 0, 0, 0.77);
    }

</style>
